Bug 215701 - to make the "info" test transparent and mandatory
to make the "info" test transparent and mandatory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 04:25 EST by YangKun
Modified: 2008-07-16 17:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: hts-5.0-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-21 01:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description YangKun 2006-11-15 04:25:38 EST
In rhr2, the info test is "transparent" to users , which means users can not
"select" whether to run it or not in the dialog, and rhr2 will run the info test
first before any other tests in every run by default(though we can disable info
test in other ways).

For the HwCert Catalog, info test is "mandatory" when we submit results . The
HwCert Catalog will only accept result which contains the info test, in other
words, it requires every "run" includes a info test, if it can not find a info
test in a "run" , that "run" will be ignored.

In hts, we can choose to run a specific test without running info, and there may
be no info test in some runs, once we submit these kind of results to HwCert
Catalog, these results will be ignored.

So , I suggest to make the info test act as the same way in rhr2, let hts run
info automatically before running any other test. This can ensure HwCert Catalog
doesn't ignore our results.
Comment 1 YangKun 2006-11-24 05:55:20 EST
Hi, Greg. I've committed a fix on this , could you please verify it . :)
Comment 2 Greg Nichols 2006-12-01 16:01:33 EST
Verified R13

Note You need to log in before you can comment on or make changes to this bug.